/**
 * \file sDisplay.cpp
 * \brief
 * \author Blanc.O
 * \version 0.1
 * \date 11 janvier 2010
 *
 */

#include "sDisplay.h"

/**
 * @brief sDisplay::sDisplay
 * @param myConsole
 * @param parent
 */
sDisplay::sDisplay(qConsole *myConsole, QLabel *parent) : QLabel(parent), console(myConsole)
{
    painter = new QPainter(this);
    pen = new QPen();
    pen->setColor(Qt::blue);
    pen->setWidth(1);
}

/**
 * @brief sDisplay::~sDisplay
 */
sDisplay::~sDisplay()
{
}

/**
 * @brief sDisplay::paint
 * @param newData
 * @param nbSignal
 * @param bufferSize
 */
void sDisplay::paint(float64 *newData, int nbSignal, int bufferSize)
{
//    size = this->size();
//    int tRatio = size->width()/bufferSize;
//    int vRatio = size->height()/vRange;
//    for (int i = 0 ; i < bufferSize; i++)
//    {
//
//    }
}
